Skip to Content
annotyDocs
annotyDocs
annoty.appDashboardGetting started

Share with reviewers

Proxy or embed?ProxyEmbedScreenshotsToolbar position

Coding agents

Coding agents (MCP)Send to agent

Integrations

SlackWebhooksDiscordEmailZapiern8n

Reference

GlossaryPlans and billingGet help and send feedback
REST API
Start connecting a Slack workspace POSTFinish connecting a Slack workspace POSTList connected Slack workspaces GETDisconnect a Slack workspace DELETEList a workspace's channels GETSee what a Slack link would connect GETList the signed-in member's linked Slack accounts GETLink a Slack account to the signed-in member POSTUnlink a Slack account DELETE
REST APISlack

Link a Slack account to the signed-in member

List the signed-in member's linked Slack accounts GET

Session only.

Unlink a Slack account DELETE

Buttons in Slack stop acting as this member. Session only.

POST
/v1/slack/links

Buttons in Slack then act as this member. The workspace must be connected to one of the member's organizations. Session only.

Authorization

apiKey
headerAuthorizationBearer <token>

An organization API key from the dashboard (Settings → API keys), e.g. Authorization: Bearer annoty_.... x-api-key: annoty_... also works. While the organization has no subscription or trial, every request with a key except GET /v1/organization fails with 402 SUBSCRIPTION_REQUIRED.

Request Body

application/json
  1. body
  1. body
  2. …
token*string
Length1 <= length

Response Body

Linked

application/json
  1. response
  1. response
  2. …
teamId*string
teamName*string
slackUserId*string
slackUserName*string
Example Request
curl -X POST 'https://api.annoty.app/v1/slack/links' \
  -H 'Content-Type: application/json' \
  -d '{
  "token": "string"
}'
Example Response
{
  "teamId": "string",
  "teamName": "string",
  "slackUserId": "string",
  "slackUserName": "string"
}